package cn.iocoder.yudao.module.system.service.biz;

import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.module.system.controller.admin.biz.vo.pressuresores.ElderlyPressureSoresPageReqVO;
import cn.iocoder.yudao.module.system.controller.admin.biz.vo.pressuresores.ElderlyPressureSoresRespVO;
import cn.iocoder.yudao.module.system.controller.admin.biz.vo.pressuresores.ElderlyPressureSoresSaveReqVO;

public interface ElderlyPressureSoresService {

    Long create(ElderlyPressureSoresSaveReqVO createReqVO);

    void update(ElderlyPressureSoresSaveReqVO updateReqVO);

    void delete(Long id);

    ElderlyPressureSoresRespVO get(Long id);

    PageResult<ElderlyPressureSoresRespVO> getPage(ElderlyPressureSoresPageReqVO pageReqVO);
}

